Get video statistics
GET
/analytics/v1/videos/{videoId}/statsReturns aggregated statistics for a video over a date range
Authorization
Bearer Authorization<token>
In: header
Path Parameters
videoId*string
Video ID
Query Parameters
start?string
Start date (inclusive)
end?string
End date (inclusive)
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/analyticsv1.VideoStats",
"$ref-value": {
"properties": {
"avg_watch_time_ms": {
"type": "number"
},
"completion_rate": {
"type": "number"
},
"completions": {
"type": "integer"
},
"starts": {
"type": "integer"
},
"total_views": {
"type": "integer"
},
"total_watch_time_ms": {
"type": "number"
},
"unique_viewers": {
"type": "integer"
},
"video_id": {
"type": "string"
},
"watches": {
"type": "integer"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/analytics/v1/videos/string/stats"OK
application/json
{
"$ref": "#/components/schemas/analyticsv1.VideoStats",
"$ref-value": {
"properties": {
"avg_watch_time_ms": {
"type": "number"
},
"completion_rate": {
"type": "number"
},
"completions": {
"type": "integer"
},
"starts": {
"type": "integer"
},
"total_views": {
"type": "integer"
},
"total_watch_time_ms": {
"type": "number"
},
"unique_viewers": {
"type": "integer"
},
"video_id": {
"type": "string"
},
"watches": {
"type": "integer"
}
},
"type": "object"
}
}